# class DBListView | Database list view. More...
Full name | `KDB::DBListView`
Definition | `#include <dblistview.h>`
Inherits | QListView (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { Auto, SemiAuto, Manual }

#### Public Methods

- DBListView (QWidget *parent, const char * name = 0, bool displayTree = true, int mode = Auto)
- ~DBListView ()
- Database * selectedDatabase ()
- virtual DBListViewItem * addConnection (Connection *conn)
- virtual DBListViewItem * addPlugin (Plugin *plugin)
- virtual DBListViewItem * addDatabase (Database *database)

#### Signals

- void databaseSelected (KDB::Database *)
- void nonDatabaseSelected ()

#### Protected Slots

- void slotItemSelected (QListViewItem *)

## Detailed Description

Database list view.

This is a list view that will display all accessible databases.

It can be used in 'auto' mode, 'semiauto' mode or in 'manual' mode.

in 'auto' mode will load all available plugins, connections, and databases for available connections.

in 'semiauto' mode to display the database list the function addConnection must be called to add single connection objects to the display. addConnection also tries to find all available database using the connection.

in 'manual' mode to display the database list the function addConnection must be called to add single connection objects to the display.

enum { Auto, SemiAuto, Manual } | ###

DBListView (QWidget *parent, const char * name = 0, bool displayTree = true, int mode = Auto) | ### DBListView

~DBListView () | ### ~DBListView

Database * selectedDatabase () | ### selectedDatabase

DBListViewItem * addConnection (Connection *conn) | ### addConnection

[virtual]

DBListViewItem * addPlugin (Plugin *plugin) | ### addPlugin

[virtual]

DBListViewItem * addDatabase (Database *database) | ### addDatabase

[virtual]

void databaseSelected (KDB::Database *) | ### databaseSelected

[signal]

void nonDatabaseSelected () | ### nonDatabaseSelected

[signal]

void slotItemSelected (QListViewItem *) | ### slotItemSelected

[protected slots slot]

- Version: kdbui 0.0.2
- Author: Michael Koch <m_kock@bigfoot.de>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:49:12 2001, using kdoc 2.0a53.